package com.cku.model;

import java.util.Date;
import java.util.List;

public class CkuDogMessageForLoginType {
    private Integer id;

    private String dogvalid;

    private String dogtype;

    private String shows;

    private String logout;

    private String birthCertificateRegNum;

    private String pedigreeNum;

    private String dogOwner;

    private String memberNum;

    private String dogSecondOwenr;

    private String secondOwenrMemberNum;

    private String breeder;

    private String dogEgName;

    private String dogCnName;

    private String dogGender;

    private String dogType;

    private Date dogBirthday;

    private String identifiSign;

    private String coatTexture;

    private String colorMark;

    private String specialMark;

    private String hipJointIdentifiResult;

    private String elbowJointIdentifiResult;

    private String dna;

    private String breedingQualifi;

    private String kinBreeding;

    private String showLevel;

    private String showResult;

    private String testLevel;

    private String testScore;

    private String fileNum;

    private String fPedigreeNum;

    private String mPedigreeNum;

    private String fMPedigreeNum;

    private String inbreedingSeal;

    private String oldStudbookNum;

    private String overseasRegCertifi;

    private Date addData;

    private Date modifiData;

    private String breedersMembNum;

    private String delTag;

    private String printType;

    private String payDna;

    private String payFy;

    private String payHd;

    private Integer threeNo;

    private Integer dogGenertions;

    private String fanyuConfirm;
    //犬只月龄
    private String age;
    
    private List<CkuDogLoginType> loginTypeList;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDogvalid() {
        return dogvalid;
    }

    public void setDogvalid(String dogvalid) {
        this.dogvalid = dogvalid == null ? null : dogvalid.trim();
    }

    public String getDogtype() {
        return dogtype;
    }

    public void setDogtype(String dogtype) {
        this.dogtype = dogtype == null ? null : dogtype.trim();
    }

    public String getShows() {
        return shows;
    }

    public void setShows(String shows) {
        this.shows = shows == null ? null : shows.trim();
    }

    public String getLogout() {
        return logout;
    }

    public void setLogout(String logout) {
        this.logout = logout == null ? null : logout.trim();
    }

    public String getBirthCertificateRegNum() {
        return birthCertificateRegNum;
    }

    public void setBirthCertificateRegNum(String birthCertificateRegNum) {
        this.birthCertificateRegNum = birthCertificateRegNum == null ? null : birthCertificateRegNum.trim();
    }

    public String getPedigreeNum() {
        return pedigreeNum;
    }

    public void setPedigreeNum(String pedigreeNum) {
        this.pedigreeNum = pedigreeNum == null ? null : pedigreeNum.trim();
    }

    public String getDogOwner() {
        return dogOwner;
    }

    public void setDogOwner(String dogOwner) {
        this.dogOwner = dogOwner == null ? null : dogOwner.trim();
    }

    public String getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(String memberNum) {
        this.memberNum = memberNum == null ? null : memberNum.trim();
    }

    public String getDogSecondOwenr() {
        return dogSecondOwenr;
    }

    public void setDogSecondOwenr(String dogSecondOwenr) {
        this.dogSecondOwenr = dogSecondOwenr == null ? null : dogSecondOwenr.trim();
    }

    public String getSecondOwenrMemberNum() {
        return secondOwenrMemberNum;
    }

    public void setSecondOwenrMemberNum(String secondOwenrMemberNum) {
        this.secondOwenrMemberNum = secondOwenrMemberNum == null ? null : secondOwenrMemberNum.trim();
    }

    public String getBreeder() {
        return breeder;
    }

    public void setBreeder(String breeder) {
        this.breeder = breeder == null ? null : breeder.trim();
    }

    public String getDogEgName() {
        return dogEgName;
    }

    public void setDogEgName(String dogEgName) {
        this.dogEgName = dogEgName == null ? null : dogEgName.trim();
    }

    public String getDogCnName() {
        return dogCnName;
    }

    public void setDogCnName(String dogCnName) {
        this.dogCnName = dogCnName == null ? null : dogCnName.trim();
    }

    public String getDogGender() {
        return dogGender;
    }

    public void setDogGender(String dogGender) {
        this.dogGender = dogGender == null ? null : dogGender.trim();
    }

    public String getDogType() {
        return dogType;
    }

    public void setDogType(String dogType) {
        this.dogType = dogType == null ? null : dogType.trim();
    }

    public Date getDogBirthday() {
        return dogBirthday;
    }

    public void setDogBirthday(Date dogBirthday) {
        this.dogBirthday = dogBirthday;
    }

    public String getIdentifiSign() {
        return identifiSign;
    }

    public void setIdentifiSign(String identifiSign) {
        this.identifiSign = identifiSign == null ? null : identifiSign.trim();
    }

    public String getCoatTexture() {
        return coatTexture;
    }

    public void setCoatTexture(String coatTexture) {
        this.coatTexture = coatTexture == null ? null : coatTexture.trim();
    }

    public String getColorMark() {
        return colorMark;
    }

    public void setColorMark(String colorMark) {
        this.colorMark = colorMark == null ? null : colorMark.trim();
    }

    public String getSpecialMark() {
        return specialMark;
    }

    public void setSpecialMark(String specialMark) {
        this.specialMark = specialMark == null ? null : specialMark.trim();
    }

    public String getHipJointIdentifiResult() {
        return hipJointIdentifiResult;
    }

    public void setHipJointIdentifiResult(String hipJointIdentifiResult) {
        this.hipJointIdentifiResult = hipJointIdentifiResult == null ? null : hipJointIdentifiResult.trim();
    }

    public String getElbowJointIdentifiResult() {
        return elbowJointIdentifiResult;
    }

    public void setElbowJointIdentifiResult(String elbowJointIdentifiResult) {
        this.elbowJointIdentifiResult = elbowJointIdentifiResult == null ? null : elbowJointIdentifiResult.trim();
    }

    public String getDna() {
        return dna;
    }

    public void setDna(String dna) {
        this.dna = dna == null ? null : dna.trim();
    }

    public String getBreedingQualifi() {
        return breedingQualifi;
    }

    public void setBreedingQualifi(String breedingQualifi) {
        this.breedingQualifi = breedingQualifi == null ? null : breedingQualifi.trim();
    }

    public String getKinBreeding() {
        return kinBreeding;
    }

    public void setKinBreeding(String kinBreeding) {
        this.kinBreeding = kinBreeding == null ? null : kinBreeding.trim();
    }

    public String getShowLevel() {
        return showLevel;
    }

    public void setShowLevel(String showLevel) {
        this.showLevel = showLevel == null ? null : showLevel.trim();
    }

    public String getShowResult() {
        return showResult;
    }

    public void setShowResult(String showResult) {
        this.showResult = showResult == null ? null : showResult.trim();
    }

    public String getTestLevel() {
        return testLevel;
    }

    public void setTestLevel(String testLevel) {
        this.testLevel = testLevel == null ? null : testLevel.trim();
    }

    public String getTestScore() {
        return testScore;
    }

    public void setTestScore(String testScore) {
        this.testScore = testScore == null ? null : testScore.trim();
    }

    public String getFileNum() {
        return fileNum;
    }

    public void setFileNum(String fileNum) {
        this.fileNum = fileNum == null ? null : fileNum.trim();
    }

    public String getfPedigreeNum() {
        return fPedigreeNum;
    }

    public void setfPedigreeNum(String fPedigreeNum) {
        this.fPedigreeNum = fPedigreeNum == null ? null : fPedigreeNum.trim();
    }

    public String getmPedigreeNum() {
        return mPedigreeNum;
    }

    public void setmPedigreeNum(String mPedigreeNum) {
        this.mPedigreeNum = mPedigreeNum == null ? null : mPedigreeNum.trim();
    }

    public String getfMPedigreeNum() {
        return fMPedigreeNum;
    }

    public void setfMPedigreeNum(String fMPedigreeNum) {
        this.fMPedigreeNum = fMPedigreeNum == null ? null : fMPedigreeNum.trim();
    }

    public String getInbreedingSeal() {
        return inbreedingSeal;
    }

    public void setInbreedingSeal(String inbreedingSeal) {
        this.inbreedingSeal = inbreedingSeal == null ? null : inbreedingSeal.trim();
    }

    public String getOldStudbookNum() {
        return oldStudbookNum;
    }

    public void setOldStudbookNum(String oldStudbookNum) {
        this.oldStudbookNum = oldStudbookNum == null ? null : oldStudbookNum.trim();
    }

    public String getOverseasRegCertifi() {
        return overseasRegCertifi;
    }

    public void setOverseasRegCertifi(String overseasRegCertifi) {
        this.overseasRegCertifi = overseasRegCertifi == null ? null : overseasRegCertifi.trim();
    }

    public Date getAddData() {
        return addData;
    }

    public void setAddData(Date addData) {
        this.addData = addData;
    }

    public Date getModifiData() {
        return modifiData;
    }

    public void setModifiData(Date modifiData) {
        this.modifiData = modifiData;
    }

    public String getBreedersMembNum() {
        return breedersMembNum;
    }

    public void setBreedersMembNum(String breedersMembNum) {
        this.breedersMembNum = breedersMembNum == null ? null : breedersMembNum.trim();
    }

    public String getDelTag() {
        return delTag;
    }

    public void setDelTag(String delTag) {
        this.delTag = delTag == null ? null : delTag.trim();
    }

    public String getPrintType() {
        return printType;
    }

    public void setPrintType(String printType) {
        this.printType = printType == null ? null : printType.trim();
    }

    public String getPayDna() {
        return payDna;
    }

    public void setPayDna(String payDna) {
        this.payDna = payDna == null ? null : payDna.trim();
    }

    public String getPayFy() {
        return payFy;
    }

    public void setPayFy(String payFy) {
        this.payFy = payFy == null ? null : payFy.trim();
    }

    public String getPayHd() {
        return payHd;
    }

    public void setPayHd(String payHd) {
        this.payHd = payHd == null ? null : payHd.trim();
    }

    public Integer getThreeNo() {
        return threeNo;
    }

    public void setThreeNo(Integer threeNo) {
        this.threeNo = threeNo;
    }

    public Integer getDogGenertions() {
        return dogGenertions;
    }

    public void setDogGenertions(Integer dogGenertions) {
        this.dogGenertions = dogGenertions;
    }

    public String getFanyuConfirm() {
        return fanyuConfirm;
    }

    public void setFanyuConfirm(String fanyuConfirm) {
        this.fanyuConfirm = fanyuConfirm == null ? null : fanyuConfirm.trim();
    }

	public String getAge() {
		return age;
	}

	public void setAge(String age) {
		this.age = age;
	}

	public List<CkuDogLoginType> getLoginTypeList() {
		return loginTypeList;
	}

	public void setLoginTypeList(List<CkuDogLoginType> loginTypeList) {
		this.loginTypeList = loginTypeList;
	}
    
	
    
}